Package bitel.billing.server.admin.bgsecure.bean

# Class GroupManager

java.lang.Object
bitel.billing.server.admin.bgsecure.bean.GroupManager

    public class GroupManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroupManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteGroup​(int id)` |
  `void` | `deleteUserGroup​(int userId)` |
  `Group` | `getGroupById​(int id)` |
  `java.util.List<Group>` | `getGroupList()` |
  `java.util.Map<java.lang.Integer,​Group>` | `getGroupMap()` |
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getGroupUserCount()` | Количество пользователей в группах
  `java.util.List<java.lang.Integer>` | `getGroupUsers​(int groupID)` | Список кодов пользователей, входящих в группу
  `void` | `updateGroup​(Group group)` |
  `void` | `updateGroupPermitions​(int groupId, int menuId, long contractGroups, int contractGroupsMode, java.util.List<java.lang.String> pids, java.util.List<java.lang.String> opids)` |
  `void` | `updateGroupPermitions1​(int groupId, int menuId, long contractGroups, java.util.List<java.lang.String> pids, java.util.List<java.lang.String> opids)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupManager

    public GroupManager​(java.sql.Connection con)

- ## Method Details

  - ### getGroupList

    public java.util.List<Group> getGroupList()

  - ### getGroupMap

    public java.util.Map<java.lang.Integer,​Group> getGroupMap()

  - ### getGroupById

    public Group getGroupById​(int id)

  - ### deleteGroup

    public void deleteGroup​(int id)

  - ### updateGroup

    public void updateGroup​(Group group)

  - ### updateGroupPermitions1

    public void updateGroupPermitions1​(int groupId, int menuId, long contractGroups, java.util.List<java.lang.String> pids, java.util.List<java.lang.String> opids)

  - ### updateGroupPermitions

    public void updateGroupPermitions​(int groupId, int menuId, long contractGroups, int contractGroupsMode, java.util.List<java.lang.String> pids, java.util.List<java.lang.String> opids)

  - ### getGroupUserCount

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getGroupUserCount() throws ru.bitel.bgbilling.common.BGException
    Количество пользователей в группах
    Returns:
      Количество пользователей в группах
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGroupUsers

    public java.util.List<java.lang.Integer> getGroupUsers​(int groupID)
    Список кодов пользователей, входящих в группу
    Parameters:
      `groupID` -
    Returns:

  - ### deleteUserGroup

    public void deleteUserGroup​(int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`